software-center crashed with TypeError in decode(): expected string or buffer

Bug #812923 reported by 81238283 on 2011-07-19
106
This bug affects 22 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Gary Lasker

Bug Description

crash

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: software-center 4.1.9
ProcVersionSignature: Ubuntu 3.0.0-5.6-generic 3.0.0-rc7
Uname: Linux 3.0.0-5-generic x86_64
Architecture: amd64
Date: Tue Jul 19 15:54:02 2011
EcryptfsInUse: Yes
ExecutablePath: /usr/share/software-center/software-center
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110705.1)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center
ProcEnviron:
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center']
SourcePackage: software-center
Title: software-center crashed with TypeError in decode(): expected string or buffer
UpgradeStatus: Upgraded to oneiric on 2011-07-16 (2 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

81238283 (jsadj) wrote :
visibility: private → public
Gary Lasker (gary-lasker) wrote :

Some additional debug info courtesy davmor2:

2011-07-20 18:55:09,515 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
/home/davmor2/software-center/softwarecenter/ui/gtk/app.py:1240: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  self.window_main.show_all()
2011-07-20 18:55:10,081 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/pymodules/python2.7/zeitgeist/client.py', 392, 'reconnect_monitors')'
2011-07-20 18:55:10,081 - zeitgeist.client - INFO - Reconnected to Zeitgeist engine...
>>> histogram attr [0, 0, 1, 7, 7], for package tuxguitar
>>> histogram attr [2, 1, 3, 5, 49], for package docky
>>> histogram attr [0, 9, 3, 17, 40], for package calibre
>>> histogram attr [0, 1, 0, 9, 11], for package gweled
>>> histogram attr [1, 0, 0, 11, 16], for package file-roller
>>> histogram attr [0, 0, 1, 0, 0], for package netsurf
>>> histogram attr [0, 0, 0, 0, 5], for package mysql-server
>>> histogram attr [0, 0, 6, 15, 100], for package thunderbird
>>> histogram attr [0, 2, 4, 12, 54], for package deja-dup
>>> histogram attr [2, 0, 0, 0, 0], for package gfax
>>> histogram attr [0, 0, 2, 4, 9], for package kaffeine
>>> histogram attr None, for package python-django-south
Traceback (most recent call last):
  File "/home/davmor2/software-center/softwarecenter/backend/reviews.py", line 659, in _on_review_stats_data
    s.rating_spread = simplejson.loads(getattr(r, "histogram", "[0,0,0,0,0]"))
  File "/usr/lib/python2.7/dist-packages/simplejson/__init__.py", line 385, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python2.7/dist-packages/simplejson/decoder.py", line 402, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
TypeError: expected string or buffer

Changed in software-center (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Gary Lasker (gary-lasker)
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
Gary Lasker (gary-lasker) wrote :

Hi Dustin, this one's actually not fix released yet. It will be released with Software Center version 4.1.10, coming soon in Oneiric. I'll revert the status change. Thanks!

Changed in software-center (Ubuntu):
assignee: Gary Lasker (gary-lasker) → nobody
status: Fix Released → Fix Committed
assignee: nobody → Gary Lasker (gary-lasker)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.1.10

---------------
software-center (4.1.10) oneiric; urgency=low

  [ Michael Vogt ]
  * merged lp:~alexeftimie/software-center/backend-refactor,
    many thanks
  * merged lp:~mmcg069/software-center/search-aid-improvments,
    many thanks
  * add generic "use_cache" to SimpleFileDownloader
  * softwarecenter/ui/gtk3/widgets/exhibits.py:
    - add basic ExhibitBanner widget
  * merged lp:~roignac/software-center/bug-805969,
    many thanks to Vadim Rutkovsky (LP: #805969)
  * merged lp:~aaronp/software-center/more-top-rated, many thanks
    to Aaron Peachey
  * add top rated carousel

  [ Gary Lasker ]
  * softwarecenter/ui/gtk/app.py,
    softwarecenter/ui/gtk/availablepane.py,
    softwarecenter/ui/gtk/catview_gtk.py,
    softwarecenter/ui/gtk/softwarepane.py:
    - improvement for a local debian package install, display a
      "loading" spinner while the package loads and do not show
      the main categories view momentarily
  * softwarecenter/backend/reviews.py:
    - fix crash on an undefined histogram value (LP: #812923)
  * softwarecenter/ui/gtk/historypane.py,
    softwarecenter/ui/gtk3/panes/historypane.py:
    - apply patch from Michael Terry to fix a crash when
      initializing the history pane, many thanks! (LP: #746984)
  * softwarecenter/db/debfile.py,
    softwarecenter/ui/gtk/appdetailsview_gtk.py,
    softwarecenter/ui/gtk/availablepane.py:
    - reduce startup time when installing a deb file by ~50%
 -- Michael Vogt <email address hidden> Fri, 22 Jul 2011 15:43:43 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers